Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		GConf
Version:	2.31.7
Release:	1
BuildArch:	i686
Summary:	A process-transparent configuration system
License:	GNU/GPL
Group: 		Graphical Desktop/GNOME
URL: 		http://www.gnome.org
Source0:	%{name}-%{version}.tar.bz2
Patch0: 	GConf-2.18.0.1-reload.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires(pre): 	/sbin/install-info
Requires: 	ORBit2
Requires: 	docbook-sgml-dtd4 docbook-xml-dtd docbook-xsl
BuildRequires:	gobject-introspection-devel
BuildRequires: 	gtk-doc
BuildRequires: 	gettext
BuildRequires: 	perl-XML-Parser
BuildRequires: 	libtool cyrus-sasl-devel openssl-devel polkit-devel eggdbus-devel

#Automatically resolved build dependencies
BuildRequires: coreutils
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libxml2-devel
BuildRequires: openldap-devel
BuildRequires: ORBit2-devel
BuildRequires: pkg-config
BuildRequires: polkit-devel

%description
GConf is a process-transparent configuration database API used to 
store user preferences. It has pluggable backends and features to 
support workgroup administration.

%package devel
Summary: 	Headers and libraries for GConf development
Group: 		Development/Libraries
Requires: 	%{name} = %{version}
Requires: 	libxml2-devel
Requires: 	ORBit2-devel
Requires: 	glib-devel
Requires: 	pkg-config

%description devel
GConf development package. Contains files needed for doing
development using GConf.

%post
/sbin/ldconfig

if [ $1 -gt 1 ]; then
    if ! fgrep -q gconf.xml.system %{_sysconfdir}/gconf/2/path; then
        sed -i -e 's@xml:readwrite:$(HOME)/.gconf@&\n\n# Location for system-wide settings.\nxml:readonly:/etc/gconf/gconf.xml.system@' %{_sysconfdir}/gconf/2/path
    fi
fi

%postun -p /sbin/ldconfig

%prep
%setup -q -n GConf-%{version}
%patch0 -p1 -b .reload

%build
#rm -f libtool
#libtoolize --force --copy
autoreconf -fi
%configure --disable-static --enable-defaults-service

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool


make

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/gconf.xml.system

rm -f $RPM_BUILD_ROOT%{_libdir}/GConf/2/*.la

%find_lang GConf2

%files -f GConf2.lang
%defattr(-, root, root)
%doc COPYING NEWS README backends/README.evoldap
%config(noreplace) %{_sysconfdir}/gconf/2/path
%config(noreplace) %{_sysconfdir}/gconf/2/evoldap.conf
%dir %{_sysconfdir}/gconf
%dir %{_sysconfdir}/gconf/2
%dir %{_sysconfdir}/gconf/gconf.xml.defaults
%dir %{_sysconfdir}/gconf/gconf.xml.mandatory
%dir %{_sysconfdir}/gconf/gconf.xml.system
%dir %{_sysconfdir}/gconf/schemas
%{_sysconfdir}/dbus-1/system.d/org.gnome.GConf.Defaults.conf
%{_sysconfdir}/xdg/autostart/gsettings-data-convert.desktop
%{_bindir}/gconf-merge-tree
%{_bindir}/gconftool-2
%{_bindir}/gsettings-data-convert
%{_bindir}/gsettings-schema-convert
%{_libdir}exec/gconfd-2
%{_libdir}exec/gconf-defaults-mechanism
%{_libdir}exec/gconf-sanity-check-2
%{_libdir}/GConf/2/libgconfbackend-evoldap.so
%{_libdir}/GConf/2/libgconfbackend-oldxml.so
%{_libdir}/GConf/2/libgconfbackend-xml.so
%{_libdir}/gio/modules/libgsettingsgconfbackend.so
%{_libdir}/libgconf-2.so.*
%{_datadir}/dbus-1/services/org.gnome.GConf.service
%{_datadir}/dbus-1/system-services/org.gnome.GConf.Defaults.service
%{_datadir}/GConf/schema/evoldap.schema
%{_locale}/*/LC_MESSAGES/GConf2.mo
%{_mandir}/man1/gconftool-2.1.gz
%{_mandir}/man1/gsettings-data-convert.1.gz
%{_mandir}/man1/gsettings-schema-convert.1.gz
%{_datadir}/polkit-1/actions/org.gnome.gconf.defaults.policy
%{_datadir}/sgml/gconf/gconf-1.0.dtd

%files devel
%defattr(-, root, root)
%{_includedir}/gconf/2/gconf
%{_libdir}/gio/modules/libgsettingsgconfbackend.la
%{_libdir}/girepository-1.0/GConf-2.0.typelib
%{_libdir}/libgconf-2.la
%{_libdir}/libgconf-2.so
%{_pkgconfig}/gconf-2.0.pc
%{_aclocal}/gconf-2.m4
%{_datadir}/gir-1.0/GConf-2.0.gir
%{_datadir}/gtk-doc/html/gconf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.31.7-1
- Version update
* Sat Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-1
- Version update
* Fri Jan 09 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.0-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Mon Mar 18 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0.1-1
- Version update
* Sat Nov 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-4
- added dependencies
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-2
- rebuild, moved libexec
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-1
- Version update, moved prefix
* Fri Sep 08 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.5-2
- rebuilt against ORBit 2.14.0
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.5-1
- Version Update to 2.13.5
* Tue Nov 22 2005 Christian Wasem <wasem@ccux-linux.de> 2.12.1-1
- Version Update to 2.12.1
* Sat Nov 12 2005 Uli Schukraft <schukraft@ccux-linux.de> 2.12.0-2
- added '%GNOME_PREFIX/lib/*.so' to %files-section, because the *.so-files in /opt/gnome/lib were missing
- added docbook-xsl to dependencies
* Sun Oct 30 2005 Christian Wasem <wasem@ccux-linux.de> 2.12.0-1
- Version Update to 2.12.0
* Sat Jul 02 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> - 2.11.1
- Version Update to 2.11.1
* Fri Apr 29 2005 Christian Metzen <metzench@ccux-linux.de> - 2.10.0-2
- Tweaked Spec File to a more CCux Package DB friendly Way
* Sun Apr 17 2005 Uli Schukraft <Schukraft@CCux-Linux.de> - 2.10.0-1
- Version Update to 2.10.0
- changed group, added "enable-final" and "enable-optimize" to ./configure-options
- added and precised dependencies
- precised %files-section
- tweaked spec-file
* Sun Mar 20 2005 Christian Metzen <metzench@ccux-linux.de> - 2.8.1-2
- tweaked Specfile, moved sysconfdir to a better Location, moved libexedir to correct Location
* Wed Feb 23 2005 Uli Schukraft <Schukraft@ccux-linux.de> - 2.8.1-1
- First package release.
